Join our community of builders on

Telegram!Telegram

Updates a relayer's information based on the provided update request.

Outdated Version

You're viewing an older version (v1.3.x). The latest documentation is available for the current version. Click here to visit latest version.
PATCH
/api/v1/relayers/{relayer_id}
AuthorizationBearer <token>

In: header

Path Parameters

relayer_idstring

The unique identifier of the relayer

custom_rpc_urls?array<RpcConfig> | null
name?string | null
notification_id?string
paused?boolean
policies?CreateRelayerPolicyRequest

Raw policy JSON - will be validated against relayer's network type during application

EVM-specific relayer policy configuration

eip1559_pricing?boolean | null
gas_limit_estimation?boolean | null
gas_price_cap?integer | null
Range0 <= value
min_balance?integer | null
Range0 <= value
private_transactions?boolean | null
whitelist_receivers?array<string> | null

Solana-specific relayer policy configuration

allowed_accounts?array<string> | null
allowed_programs?array<string> | null
allowed_tokens?array<SolanaAllowedTokensPolicy> | null
disallowed_accounts?array<string> | null
fee_margin_percentage?number | null
Formatfloat
fee_payment_strategy?SolanaFeePaymentStrategy

Solana fee payment strategy

Determines who pays transaction fees:

  • User: User must include fee payment to relayer in transaction (for custom RPC methods)
  • Relayer: Relayer pays all transaction fees (recommended for send transaction endpoint)

Default is User.

Value in"user" | "relayer"
max_allowed_fee_lamports?integer | null
Formatint64
Range0 <= value
max_signatures?integer | null
Formatint32
Range0 <= value
max_tx_data_size?integer | null
Formatint32
Range0 <= value
min_balance?integer | null
Formatint64
Range0 <= value
swap_config?RelayerSolanaSwapConfig

Solana swap policy configuration

Stellar-specific relayer policy configuration

allowed_tokens?array<StellarAllowedTokensPolicy> | null
concurrent_transactions?boolean | null
fee_margin_percentage?number | null
Formatfloat
fee_payment_strategy?StellarFeePaymentStrategy

Fee payment strategy - determines who pays transaction fees (optional)

Value in"user" | "relayer"
max_fee?integer | null
Formatint32
Range0 <= value
min_balance?integer | null
Formatint64
Range0 <= value
slippage_percentage?number | null
Formatfloat
swap_config?RelayerStellarSwapConfig

Stellar swap policy configuration

timeout_seconds?integer | null
Formatint64
Range0 <= value

Response Body

curl -X PATCH "https://loading/api/v1/relayers/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "data": {
    "address": "string",
    "custom_rpc_urls": [
      {
        "url": "string",
        "weight": 0
      }
    ],
    "disabled_reason": {
      "details": "string",
      "type": "NonceSyncFailed"
    },
    "id": "string",
    "name": "string",
    "network": "string",
    "network_type": "evm",
    "notification_id": "string",
    "paused": true,
    "policies": {
      "eip1559_pricing": true,
      "gas_limit_estimation": true,
      "gas_price_cap": 0,
      "min_balance": 0,
      "private_transactions": true,
      "whitelist_receivers": [
        "string"
      ]
    },
    "signer_id": "string",
    "system_disabled": true
  },
  "error": "string",
  "metadata": {
    "logs": [
      {
        "level": "log",
        "message": "string"
      }
    ],
    "traces": [
      null
    ]
  },
  "pagination": {
    "current_page": 0,
    "per_page": 0,
    "total_items": 0
  },
  "success": true
}
{
  "data": null,
  "message": "Bad Request",
  "success": false
}
{
  "data": null,
  "message": "Unauthorized",
  "success": false
}
{
  "data": null,
  "message": "Relayer with ID relayer_id not found",
  "success": false
}
{
  "data": null,
  "message": "Too Many Requests",
  "success": false
}
{
  "data": null,
  "message": "Internal Server Error",
  "success": false
}